### Signal

# Panel DocumentWorkspace::add-widget

since: 1.4

#### Declaration

    gboolean
    add_widget (
      PanelDocumentWorkspace* self,
      PanelWidget* widget,
      PanelPosition* position,
      gpointer user_data
    )

#### Description [src]

This signal is used to add a `PanelWidget` to the document workspace, generally in the document grid.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.4

#### Parameters

`widget`

  Type: `PanelWidget`

  A `PanelWidget`.

  The data is owned by the caller of the function.

`position`

  Type: `PanelPosition`

  A `PanelPosition`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the widget was added and no more signal handlers will be notified.